import { Notify, Dialog } from 'vant'

export function showSuccess(message) {
  return Notify({ type: 'success', message, duration: 1000 })
}

export function showDanger(message) {
  return Notify({ type: 'danger', message })
}

export function showWarn(message) {
  return Notify({ type: 'warning', message })
}

export function alert(message, opts) {
  return Dialog({
    ...(opts || {}),
    message,
  })
}

export function confirm(message, opts) {
  return Dialog.confirm({
    ...(opts || {}),
    message,
  })
}

export function isEmpty(o) {
  if (o === undefined || o === null || o === '') {
    return true
  }

  if (Array.isArray(o) && o.length < 1) {
    return true
  }

  return false
}
